## org.hibernate.ejb.criteria.expression
Class CoalesceExpression<T>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<T>
                      org.hibernate.ejb.criteria.expression.CoalesceExpression<T>

All Implemented Interfaces:
  Serializable, javax.persistence.criteria.CriteriaBuilder.Coalesce<T>, javax.persistence.criteria.Expression<T>, javax.persistence.criteria.Selection<T>, TupleElement<T>, ExpressionImplementor<T>, ParameterContainer, Renderable, SelectionImplementor<T>, TupleElementImplementor<T>

    public class CoalesceExpression<T>

extends ExpressionImpl<T>
implements javax.persistence.criteria.CriteriaBuilder.Coalesce<T>, Serializable

Models an ANSI SQL `COALESCE` expression. `COALESCE` is a specialized `CASE` statement.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`CoalesceExpression(CriteriaBuilderImpl criteriaBuilder)`
`CoalesceExpression(CriteriaBuilderImpl criteriaBuilder, Class<T> javaType)`

Method Summary
`List<javax.persistence.criteria.Expression<? extends T>>` `getExpressions()`
`Class<T>` `getJavaType()`
`void` `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`
`javax.persistence.criteria.CriteriaBuilder.Coalesce<T>` `value(javax.persistence.criteria.Expression<? extends T> value)`
`javax.persistence.criteria.CriteriaBuilder.Coalesce<T>` `value(T value)`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### CoalesceExpression

    public CoalesceExpression(CriteriaBuilderImpl criteriaBuilder)

### CoalesceExpression

    public CoalesceExpression(CriteriaBuilderImpl criteriaBuilder,
                              Class<T> javaType)

Method Detail

### getJavaType

    public Class<T> getJavaType()

  Description copied from class: `AbstractTupleElement`

  Specified by:
    `getJavaType` in interface `TupleElement<T>`
  Overrides:
    `getJavaType` in class `AbstractTupleElement<T>`

### value

    public javax.persistence.criteria.CriteriaBuilder.Coalesce<T> value(T value)

  Specified by:
    `value` in interface `javax.persistence.criteria.CriteriaBuilder.Coalesce<T>`

### value

    public javax.persistence.criteria.CriteriaBuilder.Coalesce<T> value(javax.persistence.criteria.Expression<? extends T> value)

  Specified by:
    `value` in interface `javax.persistence.criteria.CriteriaBuilder.Coalesce<T>`

### getExpressions

    public List<javax.persistence.criteria.Expression<? extends T>> getExpressions()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.